//
//  ActivityIndicatorManager.m
//
//  Created by Arkady on 24.09.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "AFActivityIndicatorManager.h"

@interface AFActivityIndicatorManager ()
{
    int _activityCounter;
}

@end


@implementation AFActivityIndicatorManager

#pragma mark - Singleton 

+ (AFActivityIndicatorManager *)sharedActivityIndicatorManager
{
    static AFActivityIndicatorManager *sharedActivityIndicatorManager = nil;
	@synchronized(self)
	{
        static dispatch_once_t onceToken;
        dispatch_once(&onceToken, ^{
            sharedActivityIndicatorManager = [AFActivityIndicatorManager new];
        });
	}
	return sharedActivityIndicatorManager;
}



#pragma mark - activityManager

- (void)increaseActivityCounter
{
	_activityCounter++;
	if (_activityCounter > 0)
		[UIApplication sharedApplication].networkActivityIndicatorVisible = YES;
}



- (void)decreaseActivityCounter
{
	if (_activityCounter == 0)
		return;
	_activityCounter--;
	if (_activityCounter == 0)
		[UIApplication sharedApplication].networkActivityIndicatorVisible = NO;
}



@end
