//
//  NetworkChecker.m
//  NetworkChecker
//
//  Created by Arkady on 11.11.10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "AFNetworkChecker.h"


@implementation AFNetworkChecker

+ (AFNetworkStatus)getNetworkStatus;
{
	// Create zero addy
	struct sockaddr_in zeroAddress;
	bzero(&zeroAddress, sizeof(zeroAddress));
	zeroAddress.sin_len = sizeof(zeroAddress);
	zeroAddress.sin_family = AF_INET;
	
	// Recover reachability flags
	SCNetworkReachabilityRef defaultRouteReachability = SCNetworkReachabilityCreateWithAddress(NULL, (struct sockaddr *)&zeroAddress);
	SCNetworkReachabilityFlags flags;
	
	BOOL didRetrieveFlags = SCNetworkReachabilityGetFlags(defaultRouteReachability, &flags);
	CFRelease(defaultRouteReachability);
	
	AFNetworkStatus nstatus = AFNetworkNotReachable;
	
	if (!didRetrieveFlags)
		return nstatus;
	
	BOOL isReachable = flags & kSCNetworkFlagsReachable;
	BOOL needsConnection = flags & kSCNetworkFlagsConnectionRequired;
	
	if (isReachable && !needsConnection) {
		if ((flags & kSCNetworkReachabilityFlagsIsWWAN))
			nstatus = AFNetworkReachableViaWWAN;
		else
			nstatus = AFNetworkReachableViaWiFi;
	}	
	
	return nstatus;
}

@end
