//
//  AFRURLRequest.h
//  AFRURLRequester
//
//  Created by Arkady on 27.03.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//



#import <Foundation/Foundation.h>
#import "AFActivityIndicatorManager.h"
#import "AFNetworkChecker.h"


@protocol AFURLRequestDelegate;

typedef void (^AFURLRequestCompletionBlock)(id responseData, NSError *error);

@interface AFURLRequest : NSObject

@property (nonatomic, weak) id <AFURLRequestDelegate> delegate;
@property (nonatomic, strong) NSString *urlString;
@property (nonatomic, strong) NSDictionary *GETParameters;
@property (nonatomic, strong) NSDictionary *POSTParameters;
@property (nonatomic, strong) NSMutableURLRequest *request;

- (void)cancel;
- (void)requestWithComplete:(AFURLRequestCompletionBlock)complete;
- (void)uploadData:(NSData *)data complete:(AFURLRequestCompletionBlock)complete;

@end


@protocol AFURLRequestDelegate <NSObject>

@optional
- (void)request:(AFURLRequest *)request downloadProgress:(float)progress;
- (void)request:(AFURLRequest *)request uploadProgress:(float)progress;

@end
