//
//  ImageViewController.m
//  AFRURLRequester
//
//  Created by Arkady on 05.05.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ImageViewController.h"


@implementation ImageViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}



#pragma mark - AFRURLReqeustDelegate

- (void)request:(AFURLRequest *)request downloadProgress:(float)progress
{
    if (progress == -1.0)
        self.progressView.hidden = YES;
    self.progressView.progress = progress;
}



#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    // request with delegate
    req = [[AFURLRequest alloc] init];
    req.urlString = @"http://farm5.static.flickr.com/4031/4409659484_6b62c92c26_z.jpg";
    req.delegate = self;
    self.progressView.progress = 0.0;
    [req requestWithComplete:^(id responseData, NSError *error) {
        if (error) {
            UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Failed"
                                                            message:[error localizedDescription]
                                                           delegate:nil
                                                  cancelButtonTitle:@"Close"
                                                  otherButtonTitles: nil];
            [alert show];
        }
        else {
            self.imageView.image = [UIImage imageWithData:responseData];
        }
        self.progressView.hidden = YES;
    }];
}

- (void)viewWillDisappear:(BOOL)animated
{
    [req cancel];
}

- (void)viewDidUnload
{
    [self setImageView:nil];
    [self setProgressView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
